Produtos
Arquivar Produto
Guarda o produto sem excluí-lo, mantendo o histórico de cobranças vinculadas.
POST
/v1/products/:id/archiveBase URL Produção:
https://api.validapay.com.brBase URL Sandbox:
https://sandbox.validapay.com.brAuthorizations
bearer
Authorization
string · header · required
Cabeçalho de autenticação Bearer no formato Bearer {{token}} onde {{token}} é o seu token OAuth2.
Escopos requeridos
products/write
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Required | Id |
const url = 'https://sandbox.validapay.com.br/v1/products/:id/archive';
const options = {
method: 'POST',
headers: {
'Authorization': 'Bearer {{token}}'
},
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Response Examples
200200
{
"productId": "prod_xxx",
"archivedAt": "2024-01-20T10:00:00Z",
"checkoutsDeactivated": 3
}404404
{
"error": {
"message": "Produto não encontrado",
"code": "PRODUCT_NOT_FOUND",
"details": null,
"timestamp": "2026-07-14T21:39:36.322Z"
}
}